define nginx::config::upstream ($ensure = present, $backend = '', $ip_hash = false,) {
  #  notify { "nginx::config::upstream::name = ${name}": }
  #  $main_site = {
  #    port        => {
  #      http  => 80,
  #      https => 443
  #    }
  #    ,
  #    vhost_name  => 'docs.puppetlabs.com',
  #    server_name => {
  #      mirror0 => 'warbler.example.com',
  #      mirror1 => 'egret.example.com',
  #    }
  #  }


  #  notify { $main_site[port][https]: }
  #  notice($main_site[port][https])
  file { $title:
    path    => "/etc/nginx/conf.d/${name}.conf",
    ensure  => $ensure,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => template("nginx/conf.d/upstream.erb"),
    require => Class["nginx::config"],
    notify  => Class["nginx::service"],
  }
}
