class nginx::install ($nginx = 'nginx', $ensure = 'installed') {
  include apt
  apt::ppa { "ppa:nginx/stable": } ->
  package { $nginx:
    ensure  => $ensure,
    require => Class["apt::update"],
  }
}
